commit:     634168a2536a434aa51e93f03c7ca213d16827ba
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 29 02:56:11 2015 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 02:56:11 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=634168a2

www-plugins/freshplayerplugin: Revbump to fix dependencies wrt bug 569964

Package-Manager: portage-2.2.26

 .../freshplayerplugin-0.3.4-r1.ebuild              | 84 ++++++++++++++++++++++
 www-plugins/freshplayerplugin/metadata.xml         |  2 +
 2 files changed, 86 insertions(+)

diff --git a/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild 
b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild
new file mode 100644
index 0000000..5c5f5c1
--- /dev/null
+++ b/www-plugins/freshplayerplugin/freshplayerplugin-0.3.4-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+CMAKE_MIN_VERSION="2.8.8"
+
+inherit cmake-utils multilib
+
+LICENSE="MIT"
+HOMEPAGE="https://github.com/i-rinat/freshplayerplugin";
+DESCRIPTION="PPAPI-host NPAPI-plugin adapter for flashplayer in npapi based 
browsers"
+SRC_URI="https://github.com/i-rinat/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT=0
+IUSE="gles2 gtk3 jack libav libressl pulseaudio v4l vaapi vdpau"
+
+KEYWORDS="~amd64 ~x86"
+
+HWDEC_DEPEND="
+       libav? ( media-video/libav:0=[vaapi?,vdpau?] )
+       !libav? ( media-video/ffmpeg:0=[vaapi?,vdpau?] )
+       x11-libs/libva
+       x11-libs/libvdpau
+"
+
+COMMON_DEPEND="
+       dev-libs/glib:2=
+       dev-libs/libevent:=[threads]
+       media-libs/alsa-lib:=
+       media-libs/freetype:2=
+       media-libs/mesa:=[egl,gles2?]
+       x11-libs/cairo:=[X]
+       x11-libs/libXcursor:=
+       x11-libs/libXrandr:=
+       x11-libs/libXrender:=
+       x11-libs/libdrm:=
+       x11-libs/pango:=[X]
+       jack? (
+               media-sound/jack-audio-connection-kit
+               media-libs/soxr
+       )
+       pulseaudio? ( media-sound/pulseaudio )
+       !gtk3? ( x11-libs/gtk+:2= )
+       gtk3? ( x11-libs/gtk+:3= )
+       libressl? ( dev-libs/libressl:0= )
+       !libressl? ( dev-libs/openssl:0= )
+       v4l? ( media-libs/libv4l:0= )
+       vaapi? ( ${HWDEC_DEPEND} )
+       vdpau? ( ${HWDEC_DEPEND} )
+"
+
+DEPEND="${COMMON_DEPEND}
+       dev-util/ragel
+       virtual/pkgconfig
+       "
+RDEPEND="${COMMON_DEPEND}
+       || (
+               www-plugins/chrome-binary-plugins[flash]
+               www-client/google-chrome
+               www-client/google-chrome-beta
+               www-client/google-chrome-unstable
+       )
+       "
+
+PATCHES=( "${FILESDIR}/0.3.4-cmake.patch" 
"${FILESDIR}/0.3.4-git-revision.patch" )
+DOCS=( ChangeLog data/freshwrapper.conf.example README.md )
+
+src_configure() {
+       mycmakeargs=(
+               -DWITH_JACK=$(usex jack)
+               -DWITH_PULSEAUDIO=$(usex pulseaudio)
+               -DWITH_GTK=$(usex gtk3 3 2)
+               -DWITH_GLES2=$(usex gles2)
+               -DWITH_LIBV4L2=$(usex v4l)
+               -DCMAKE_SKIP_RPATH=1
+       )
+       if use vaapi || use vdpau ; then
+               mycmakeargs+=( -DWITH_HWDEC=1 )
+       else
+               mycmakeargs+=( -DWITH_HWDEC=0 )
+       fi
+       cmake-utils_src_configure
+}

diff --git a/www-plugins/freshplayerplugin/metadata.xml 
b/www-plugins/freshplayerplugin/metadata.xml
index a2941a2..e515579 100644
--- a/www-plugins/freshplayerplugin/metadata.xml
+++ b/www-plugins/freshplayerplugin/metadata.xml
@@ -6,7 +6,9 @@
                <name>Brian Evans</name>
        </maintainer>
        <use>
+               <flag name="gles2">Use system GLESv2 libraries instead of ANGLE 
for shader translation</flag>
                <flag name="gtk3">Build with GTK+ 3 instead of GTK+ 2</flag>
+               <flag name="v4l">Use libv4l2 for colorspace conversion</flag>
        </use>
        <upstream>
                <remote-id type="github">i-rinat/freshplayerplugin</remote-id>

Reply via email to